Returns details for a specific query.
GET https://api-<BlueCat.edge.url>/v3/api/dnsQueryLogs/{queryId}
Authorization: Bearer token
Successful response
200 OK
Content-Type: application/JSON
[
{
"time": 1588863296043,
"source": "197.210.227.230",
"siteId": "91d9e73b-c5ce-4f92-a419-5d421e8fef25",
"query": "VERSION.BIND.",
"queryType": "TXT",
"actionTaken": "query-response",
"response": "NOERROR",
"id": "1588863296043BF913F410812953C6909E622C4702754",
"matchedPolicies": [
],
"answers": [
{
"domainName": "VERSION.BIND.",
"recordType": "TXT",
"parsed": true,
"rData": "1.0.0"
}
],
"authority": [],
"queryProtocol": "UDP",
"threats": [],
"queriedNamespaces": [
{
"id": "9bba84cc-00eb-4a6a-985b-b9cadb9de93a",
"name": "Umbrella",
"rCode": "NOERROR",
"responseData": null,
"latency": 0,
"cycle": 0
},
....
],
"latency": 2,
"queryId": 18157,
"queryClassId": 1,
"queryEdnsOptions": [
{
"code": 8,
"value": "2600:1f18:1321:3900::/64/0"
}
],
"responseEdnsOptions": [
{
"code": 8,
"value": "2600:1f18:1321:3900::/64/0"
}
],
"identity":
{
"identityId": "identity_id_example",
"userId": "example@test.bluecat.com"
},
"appliedPolicyId": null,
"redirectDomain": null,
"gslbRule": {
"id": "0123ee33-0a00-82f2-ab1c-b7b89f654321",
"name": "GSLB Rule 1",
"ecs": null,
"healthChecks": [
"id": "0111ee22-3a33-44f4-ab5c-b6b78f901234",
"name": "Health check 1",
"domainName": "example.com.",
"targetIp": "192.168.1.1",
"healthy": false
]
},
"drsId": "7b759f9d-9e7e-4eab-9fbc-2ba2067d48d3"
}
Returns the following information:
|
Possible error codes
|